Skip to content

Create 'Generalerrandgroup'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
titlestring, <= 255 charactersrequired
custom_idstring or null, <= 128 characters
organization_user_reviewersArray of objects(Organizationuser)
organizationobject or null(Organization)
POST
/errands/generalerrands/reporting/generalerrandgroup/
curl -i -X POST \
  https://dev.api.pigello.io/errands/generalerrands/reporting/generalerrandgroup/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "custom_id": "string",
    "title": "string",
    "organization_user_reviewers": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      }
    ],
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  }'

Responses

Successful creation

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

statusinteger, (int32), [ -2147483648 .. 2147483647 ]read-onlyrequired

Additional Validation Information:

Enum Descriptions:

  • 0 - Open

  • 1 - Closed

Enum:01
titlestring, <= 255 charactersrequired
custom_idstring or null, <= 128 characters
actual_done_timestring or null, (date-time)read-only
planned_done_timestring or null, (date-time)read-only
created_atstring, (date-time)read-only
tagsanyread-only
organization_user_reviewersArray of objects(Organizationuser)
customer_columnsanyread-only
organizationobject or null(Organization)
Response
{ "custom_id": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "actual_done_time": "2019-08-24T14:15:22Z", "planned_done_time": "2019-08-24T14:15:22Z", "status": 0, "created_at": "2019-08-24T14:15:22Z", "title": "string", "tags": null, "organization_user_reviewers": [ {} ], "customer_columns": null, "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }